Debian Bug report logs - #194025
ITA: cracklib2 -- a pro-active password checker library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Tue, 20 May 2003 15:33:12 UTC

Severity: normal

Fixed in version cracklib2/2.7-9

Done: Martin Pitt <martin@piware.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#194025; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: cracklib2 -- a pro-active password checker library
Date: Wed, 21 May 2003 01:26:38 +1000
Package: wnpp
Severity: normal

The current maintainer of cracklib2, Jean Pierre LeJacq
<jplejacq@quoininc.com>, is apparently not active anymore.  Therefore,
I orphan this package now.  If you want to be the new maintainer,
please take it -- see http://www.debian.org/devel/wnpp/index.html#howto-o
for detailed instructions how to adopt a package properly.

Some information about this package:

Package: cracklib2
Binary: cracklib2-dev, cracklib-runtime, cracklib2
Version: 2.7-8.5
Priority: optional
Section: utils
Maintainer: Jean Pierre LeJacq <jplejacq@quoininc.com>
Build-Depends: debhelper (>= 2.0.89)
Architecture: any
Standards-Version: 3.1.1
Format: 1.0
Directory: pool/main/c/cracklib2
Files: 79558a015f3afa9d9c717b80880b18fc 653 cracklib2_2.7-8.5.dsc
 7f810e310c7f2df33d1eaa2b41ab2435 20901 cracklib2_2.7.orig.tar.gz
 c07a048fca581b69699bf38ce1d5ab38 34872 cracklib2_2.7-8.5.diff.gz

Package: cracklib-runtime
Priority: optional
Section: utils
Installed-Size: 152
Maintainer: Jean Pierre LeJacq <jplejacq@quoininc.com>
Architecture: i386
Source: cracklib2
Version: 2.7-8.5
Depends: cracklib2, file
Filename: pool/main/c/cracklib2/cracklib-runtime_2.7-8.5_i386.deb
Size: 21400
MD5sum: 9a2f27b11307338920ddc01fe228401c
Description: A pro-active password checker library
 Run-time support programs which use the shared library in cracklib2
 including programs to build the password dictionary databases used by
 the functions in the shared library.

Package: cracklib2
Priority: optional
Section: utils
Installed-Size: 112
Maintainer: Jean Pierre LeJacq <jplejacq@quoininc.com>
Architecture: i386
Version: 2.7-8.5
Replaces: cracklib2.6
Depends: libc6 (>= 2.2.3-7)
Recommends: cracklib-runtime
Conflicts: cracklib2.6
Filename: pool/main/c/cracklib2/cracklib2_2.7-8.5_i386.deb
Size: 26136
MD5sum: abe2ab4b015a5302cee777e0029832ba
Description: A pro-active password checker library
 Shared library for cracklib2 which contains a C function which may be
 used in a passwd like program.  The idea is simple: try to prevent
 users from choosing passwords that could be guessed by crack by
 filtering them out, at source. cracklib2 is NOT a replacement passwd
 program.  cracklib2 is a LIBRARY.

Package: cracklib2-dev
Priority: extra
Section: devel
Installed-Size: 136
Maintainer: Jean Pierre LeJacq <jplejacq@quoininc.com>
Architecture: i386
Source: cracklib2
Version: 2.7-8.5
Replaces: cracklib2.6-dev
Depends: cracklib2
Recommends: cracklib-runtime
Conflicts: cracklib2.6-dev
Filename: pool/main/c/cracklib2/cracklib2-dev_2.7-8.5_i386.deb
Size: 24172
MD5sum: 2dd8b2cd4003403ec7e4f4178796f864
Description: a pro-active password checker library
 Header files, static libraries, documentation, and symbolic links
 developers using cracklib2 will need.

[ for amusement, see #106561 ]

-- 
Martin Michlmayr
tbm@cyrius.com



Changed Bug title. Request was from Martin Pitt <martin@piware.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Pitt <martin@piware.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 194025-close@bugs.debian.org (full text, mbox):

From: Martin Pitt <martin@piware.de>
To: 194025-close@bugs.debian.org
Subject: Bug#194025: fixed in cracklib2 2.7-9
Date: Mon, 23 Jun 2003 11:02:31 -0400
We believe that the bug you reported is fixed in the latest version of
cracklib2, which is due to be installed in the Debian FTP archive:

cracklib-runtime_2.7-9_i386.deb
  to pool/main/c/cracklib2/cracklib-runtime_2.7-9_i386.deb
cracklib2-dev_2.7-9_i386.deb
  to pool/main/c/cracklib2/cracklib2-dev_2.7-9_i386.deb
cracklib2_2.7-9.diff.gz
  to pool/main/c/cracklib2/cracklib2_2.7-9.diff.gz
cracklib2_2.7-9.dsc
  to pool/main/c/cracklib2/cracklib2_2.7-9.dsc
cracklib2_2.7-9_i386.deb
  to pool/main/c/cracklib2/cracklib2_2.7-9_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 194025@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Pitt <martin@piware.de> (supplier of updated cracklib2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 13 Jun 2003 10:37:10 +0200
Source: cracklib2
Binary: cracklib-runtime cracklib2 cracklib2-dev
Architecture: source i386
Version: 2.7-9
Distribution: unstable
Urgency: low
Maintainer: Martin Pitt <martin@piware.de>
Changed-By: Martin Pitt <martin@piware.de>
Description: 
 cracklib-runtime - Runtime support for password checker library cracklib2
 cracklib2  - A pro-active password checker library
 cracklib2-dev - A pro-active password checker library - development
Closes: 36976 45567 46024 46025 54214 62393 67856 69187 70239 72244 75376 87355 90717 90718 91135 91136 91407 91414 91429 95291 97705 97855 99512 107112 108822 111525 112238 114749 146955 173705 194025
Changes: 
 cracklib2 (2.7-9) unstable; urgency=low
 .
   * new maintainer (closes: #194025)
   * NMU acks (most of this stuff is not needed any more because of the new
     build system) (closes: #62393, #69187, #70239, #72244, #75376, #87355,
     #91135, #91136, #91407, #91414, #91429, #95291, #97705, #97855, #99512,
     #107112, #108822, #111525); thanks to Colin Watson, Sebastian Rittau, and
     Lenart Janos
   * debian/control: updated maintainer and standards-version, moved -dev to
     section libdevel
   * updated debian/copyright (maintainer, correct upstream URL)
   * rewrote debian/ directory from scratch
   * cracklib.conf now also searches in dictionary directories below /usr/local
     (closes: #46024)
   * cracklib-runtime recommends wordlist now (closes: #54214, #67856, #46025)
   * corrected all links in cracklib*.html (closes: #112238)
   * corrected SEE ALSO links in manpages (closes: #90718)
   * cracklib2-dev now comes with packer.h (closes: #173705)
   * moved functionality of cronjob to /usr/sbin/update-cracklib and call this
     script in cracklib-runtime's postinst (closes: #36976)
   * cronjob now logs to cron.info (was 'notice' before)
   * cronjob result output is now properly redirected to logger (closes:
     #45567)
   * packed wordlist are world-readable now (they are created from
     world-readable files, should be no problem) (closes: #146955)
   * removed 'readonly' variable attribute from cronjob since it is
     bash-specific (closes: #114749)
   * cracklib(3) is an alias (symlink) for FascistCheck(3) (closes: #90717)
   * cleaned up and documented example application
   * all files: deleted CVS references from former maintainer
   * deleted 'Local variables:' stuff at end of changelog
   * patch 07-ccwarnings.diff to eliminate all (but one) compiler warning
   * added linda overrides for nonstandard package name
   * added logcheck ignores for cronjob
Files: 
 fbaa7b7e0c1354994804f7fc1d7db0bd 651 libs optional cracklib2_2.7-9.dsc
 19f74f81a995ee46c52c235eca99ba91 20936 libs optional cracklib2_2.7-9.diff.gz
 095adbf869627aeeff679f20451c6c94 26202 libs optional cracklib2_2.7-9_i386.deb
 1faee8ee6775b926f94cfe0b83f17c5f 26496 libdevel optional cracklib2-dev_2.7-9_i386.deb
 9fd838038def0e762f94ddae217e174c 32240 admin optional cracklib-runtime_2.7-9_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE+9xMrmpGCHWjc1gYRAjVtAKCiyKhxLlYpaQS/0TlEq23lgmCt/QCfSrgr
kuc59xE6CrxACax7Ko+KDys=
=fDSt
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:24:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.